<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

namespace SGalinski\SgVimeo\Filter;

/**
 * The interface for all YouTube filters
 */
interface FilterInterface {
	/**
	 * Hook into the event system and apply filtering logic.
	 *
	 * @param array $data
	 * @return void
	 */
	public function modifyResponse(array &$data): void;

	/**
	 * Hook into the event system to modify the API request parameters.
	 *
	 * @param array $parameters
	 * @return void
	 */
	public function modifyRequest(array &$parameters): void;

	/**
	 * Returns the filter values
	 *
	 * @return array
	 */
	public function getFilterValues(): array;
}
